Name: glusterfs-hadoop
Version: 2.1.2
Release: 2%{?dist}
License: ASL 2.0
URL: http://forge.gluster.org/hadoop
Summary: GlusterFS Hadoop Compatible File System (HCFS) plugin
Source0: https://github.com/gluster/hadoop-glusterfs/archive/%{version}.tar.gz
BuildArch: noarch
ExcludeArch: %{arm}

BuildRequires: java-devel >= 1:1.6
BuildRequires: maven-local
BuildRequires: mvn(org.apache.hadoop:hadoop-common)


%description
A Hadoop Compatible File System (HCFS) plugin for GlusterFS. This
allows data stored in Gluster to be processed by Hadoop ecosystem
analytics engines, e.g. MapReduce.


%package javadoc
Summary: API documentation for %{name}


%description javadoc
%{summary}


%prep
%setup -q -n hadoop-glusterfs-%{version}
%pom_remove_plugin :git-commit-id-plugin


%build
%mvn_file  : glusterfs-hadoop
%mvn_alias : org.apache.hadoop.fs.glusterfs
# Tests require -
#  mvn(org.apache.hadoop:hadoop-common-test)
#  mvn(org.apache.hadoop:hadoop-test)
#  mvn(org.apache.hadoop:hadoop-core)
#  mvn(org.apache.ftpserver:ftplet-api)
#  mvn(org.apache.mina:mina-core)
#  mvn(org.apache.ftpserver:ftpserver-core)
#  mvn(org.apache.ftpserver:ftpserver-deprecated)
%mvn_build --skip-tests


%install
%mvn_install


%files -f .mfiles
%doc README COPYING


%files javadoc -f .mfiles-javadoc
%doc COPYING


%changelog
* Tue Sep  3 2013 Matthew Farrellee <matt@redhat> - 2.1.2-2
- Avoid missing dep on arm, ExcludeArch: arm (matches Hadoop)

* Wed Aug 14 2013 Matthew Farrellee <matt@redhat> - 2.1.2-1
- Initial package, using apache-commons-io as a template
